dh-exec (0.31) unstable; urgency=medium

  * Update build filter profile to work witrh newer dpkg Closes: #1123560

 -- Craig Small <csmall@debian.org>  Wed, 24 Dec 2025 19:05:33 +1100

dh-exec (0.30) unstable; urgency=medium

  * dh-exec-install-rename: Change filename only if moving/renaming
    the files Closes: #1068632

 -- Craig Small <csmall@debian.org>  Sun, 19 May 2024 20:30:01 +1000

dh-exec (0.29) unstable; urgency=medium

  * dh-exec-subst: use env:ENV_VAR substition too Closes: #1064849
  * Change build-dep pkg-config -> pkgconf
  * Moved/updated manpages

 -- Craig Small <csmall@debian.org>  Tue, 27 Feb 2024 17:03:00 +1100

dh-exec (0.28) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on perl:any (>= 5.14.2~).
    + Build-Depends: Drop versioned constraint on libdpkg-perl (>= 1.17.14~).

  [Craig Small]
  * install-rename: Look in debian/tmp for files to move Closes: #1028347
  * dh-exec: Add no-defaults to not run filter and strip.
    Closes: #840682
  * Update to standards 4.6.2, no changes required.

 -- Craig Small <csmall@debian.org>  Mon, 30 Oct 2023 17:33:45 +1100

dh-exec (0.27) unstable; urgency=medium

  * install-rename: Remove noop for -i -a flags Closes: #1017023

 -- Craig Small <csmall@debian.org>  Mon, 15 Aug 2022 20:10:45 +1000

dh-exec (0.26) unstable; urgency=medium

  * Replace the QA uploads and put them into git

 -- Craig Small <csmall@debian.org>  Sat, 23 Jul 2022 22:01:49 +1000

dh-exec (0.25) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Change priority extra to priority optional.
  * Drop unnecessary dependency on dh-autoconf.

  [ Craig Small ]
  * Adopting package Closes: #851746
  * Update to standards 4.6.1, no changes required.
  * Bump debhelper to 13.
  * Remove old versioned dependencies where not needed.

 -- Craig Small <csmall@debian.org>  Thu, 21 Jul 2022 19:22:59 +1000

dh-exec (0.24) unstable; urgency=medium

  * Add support for moving files to a package, instead of copying. Thanks
    to Barak A. Pearlmutter and Niels Thykier for the report and bringing
    the request to my attention. (Closes: #498067)
  * Fix the combination of dh_install --fail-missing, dh-exec and
    arch-only/arch-indep builds. Thanks to Ferenc Wágner for the report.
    (Closes: #831786)
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 07 Oct 2016 11:30:20 +0200

dh-exec (0.23.4) unstable; urgency=medium

  * QA upload.

  [ Daniel Bungert ]
  * Fix unintended whitespace removal (LP: #1920825)  Per the tests it's
    desired to remove the whitespace following a build profile - such as
    "<A> B" resulting in "B", but leave lines with no build profile alone.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Mar 2021 15:00:30 +0200

dh-exec (0.23.3) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #984610)
    + Annotate perl dependency :any.
    + Annotate bats dependency <!nocheck>.

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Mar 2021 09:39:39 +0000

dh-exec (0.23.2) unstable; urgency=medium

  * QA upload.
  * Remove redundant Build-Depends on fakeroot as this weakens a
    bootstrapping cycle.
  * Set Rules-Requires-Root to no as dh-exec does not need
    (fake)root to build.
  * Explicitly pass dh --builddirectory instead of implicitly using
    -B (via DH_OPTIONS) as this enables dh to optimize out some
    redundant helpers.
  * Bump priority to optional as extra has been deprecated.

 -- Niels Thykier <niels@thykier.net>  Sat, 18 May 2019 12:44:04 +0000

dh-exec (0.23.1) unstable; urgency=medium

  * Orphaning the package.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 03 Jan 2019 18:00:53 +0100

dh-exec (0.23) unstable; urgency=high

  * Fix the DH_CONFIG_ACT_ON_PACKAGES support so that it works on packages
    with dots in their name too. Thanks to Chris Lamb, Luca Bruno, Niels
    Thykier, and Mattia Rizzolo for the report and help in tracking down
    the issue. (Closes: #809283)
  * Urgency set to high, because the above regression causes other
    packages to FTBFS.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 02 Jan 2016 18:05:04 +0100

dh-exec (0.22) unstable; urgency=low

  * dh-exec-filter(1): Correctly support multiple negated arches. Thanks
    to Paul Gevers and Edmund Grimley Evans for the report and testing.
    (Closes: #801809)
  * dh-exec-install-rename(1): Restore d/install support. Thanks to all
    the people reporting the issue! (Closes: #802034)

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 28 Oct 2015 11:30:42 +0100

dh-exec (0.21) unstable; urgency=medium

  * Fix a regression in dh-exec-filter(1), which made multiple arch
    wildcards on the same line fail to parse. Thanks Paul Gevers for the
    report! (Closes: #801716)

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 14 Oct 2015 11:23:16 +0200

dh-exec (0.20) unstable; urgency=medium

  * dh-exec-filter(1) will only match architecture wildcards now, and will
    keep shell globs intact. Thanks Evgeni Golov for the report!
    (Closes: #801516)
  * Fix a formatting error on the dh-exec-filter(1) man page.
  * Add a "When not to use dh-exec" section to README.md.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 12 Oct 2015 08:47:35 +0200

dh-exec (0.19) unstable; urgency=medium

  * Fix the DH_CONFIG_ACT_ON_PACKAGES support, so it will work with
    packages with regexp specials in their name, such as g++. Thanks to
    Niels Thykier for the report!
  * Updated the copyrights in the source files too, not only in
    debian/copyright.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 06 Oct 2015 08:40:46 +0200

dh-exec (0.18) unstable; urgency=medium

  * Add support for DH_CONFIG_ACT_ON_PACKAGES, see #698054 for details.
    As a consequence, depend and build-depend on debhelper (>= 9.20151004~).
  * Copyright updated, to reflect copyright being assigned to the SFC.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 05 Oct 2015 11:48:24 +0200

dh-exec (0.17) unstable; urgency=medium

  * Do not error out when build profile stanzas are found, but
    DEB_BUILD_PROFILES is empty: let Dpkg::BuildProfiles handle that
    instead. Thanks Samuel Thibault <sthibault@debian.org> for the report!
    (Closes: #799552)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 21 Sep 2015 09:35:59 +0200

dh-exec (0.16) unstable; urgency=medium

  * Adjusted the build-dependencies to allow a backported libdpkg-perl to
    satisfy them too.
  * Make build profiles support optional, for easier backporting to
    releases that do not support them anyway.
  * Minor documentation updates.
  * The build now does not hard-code default paths, and respects the paths
    set during the configure or make stages.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 02 Sep 2015 13:45:17 +0200

dh-exec (0.15) unstable; urgency=medium

  * Now that bats is packaged, build-depend on it, and use it instead of
    shipping our own.
  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * Added a manual page for dh-exec-filter(1).
  * Adjusted the Vcs-* URLs, to point at github.
  * Added support for build profiles. (Closes: #793736).

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 27 Jul 2015 14:57:41 +0200

dh-exec (0.14) unstable; urgency=medium

  * Make dh-exec-install-rename's error messages helpful, patch from
    Helmut Grohne <helmut@subdivi.de> (Closes: #772276).

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 07 Dec 2014 11:15:46 +0100

dh-exec (0.13) unstable; urgency=medium

  * Fix a typo in the package description. Thanks James Cowgill!
    (Closes: #731078)
  * Add support for filtering based on architecture. Thanks Andreas
    Henriksson for the suggestion and testing! (Closes: #757233)
  * Remove empty  and commented lines before processing  too, allowing one
    to disable  certain lines that  would normally get  translated. Thanks
    Andreas Henriksson for spotting the issue. (Closes: #757273)
  * Add support for renaming files in debian/$package.manpages too.
    Requested by Andreas Henriksson. (Closes: #757270)
  * Updated the package description, mentioning the new features.
  * Updated the copyright years in debian/copyright.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 07 Aug 2014 13:43:51 +0200

dh-exec (0.12) unstable; urgency=low

  * The test suite was cleaned up and migrated from a custom solution to BATS.
  * Fixed a possible crash when DH_EXEC_SCRIPTDIR pointed to a
    non-existing directory.
  * Handle --help and unknown arguments separately, for better error
    reporting in the latter case.
  * Depend on perl instead of perl-modules.
  * Standards-Version bumped to 3.9.5 (no changes necessary).

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 05 Nov 2013 10:04:13 +0100

dh-exec (0.11) unstable; urgency=low

  * Do not allow spaces in neither source nor destination when renaming
    files via dh-exec-install. That would make the syntax far more
    complicated, and this way, we can just disallow whitespace and get rid
    of the trailing ones too. Thanks to Chow Loong Jin
    <hyperair@debian.org> for the patch.
  * Strip the output of any comment or whitespace-only lines, even when
    dh-exec was called with the --with-scripts option. Thanks to Dann
    Frazier <dannf@debian.org> and Daniel Schepler <dschepler@gmail.com>
    for reporting the issue. (Closes: #711937)

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 25 Aug 2013 09:40:39 +0200

dh-exec (0.10) unstable; urgency=low

  * Build-Depend on automake (>= 1:1.11), to force a suitable automake
    version into unclean environments too.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 25 Jun 2013 12:50:39 +0200

dh-exec (0.9) unstable; urgency=low

  * Strip the output of any comment or whitespace-only lines, because
    debhelper does not do that for executable scripts. Thanks to Chow
    Loong Jin for noticing!
  * Removed the debian/watch file, it is fairly useless for a native
    package. Thanks lintian & the PTS.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 10 Jun 2013 11:36:25 +0200

dh-exec (0.8) unstable; urgency=low

  * Handle empty variables correctly in dh-exec-subst-env: use their empty
    value, instead of opting for the fallback. Thanks Chow Loong Jin for
    the patch! (Closes: #711643)

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 08 Jun 2013 16:33:59 +0200

dh-exec (0.7) unstable; urgency=medium

  * Preserve permissions when renaming files. Many thanks to Axel Beckert
    for the report & help in tracking this down. (Closes: #706939).
  * Since we're using File::Copy::cp, depend on perl-modules >= 5.14.2~,
    which is in wheezy (the File::Copy in Squeeze doesn't have cp). Also
    thanks to Axel Beckert for the note.
  * Urgency medium, because not preserving permissions is a serious
    regression.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 06 May 2013 23:44:43 +0200

dh-exec (0.6) unstable; urgency=low

  * Make dh-exec-install work on bare debian/install files, without the
    package name. Thanks, Axel Beckert for the report! (Closes: #698017).

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 13 Jan 2013 01:08:02 +0100

dh-exec (0.5) unstable; urgency=low

  * Drop the AC_PREREQ from configure.ac, to make backporting
    easier. (Closes: #696199)

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 12:46:40 +0100

dh-exec (0.4) unstable; urgency=low

  * Add Vcs-* fields, thanks Wookey for the report!
  * Improved the sub-command man pages based on Wookey's suggestions.
  * Bump build-depends on debhelper to >= 9~, and remove the Lintian
    override.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 30 Jun 2012 12:24:48 +0200

dh-exec (0.3) unstable; urgency=low

  * Implement a --with-scripts= option for dh-exec, to allow the user to
    limit what scripts get run. Thanks to Wookey for the suggestion!
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Add a rationale explaining the advantages of dh-exec and a few
    examples to the README. (Closes: #664698)
  * Add a --list option to dh-exec, to list the available sub-commands and
    scripts.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 03 May 2012 12:51:32 +0200

dh-exec (0.2) unstable; urgency=low

  * Disable pkgbinarymangler for tests, to fix FTBFS on Ubuntu.
    Patch from Felix Geyer <debfx-pkg@fobos.de>. (Closes: #657966)

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 31 Jan 2012 14:55:31 +0100

dh-exec (0.1) unstable; urgency=low

  * Initial release. (Closes: #651393)

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 21 Dec 2011 00:51:28 +0100
